//--------------------------------------------------------------
// Alex A. Trubetskoy             January 2005
//--------------------------------------------------------------
#include <vector>

struct SAnchorData
{
    SAnchorData(){}
    SAnchorData(UINT idx){ id = idx; }

    UINT    id;       //  
    BOOL    top;      //   
    BOOL    left;     //   
    BOOL    bottom;   //   
    BOOL    right;    //   
};
//--------------------------------------------------------------
class CAnchor 
{
	CDialog* m_pDialog;
	std::vector<SAnchorData*> anchors;
	int old_x, old_y;
public:
	CAnchor(CDialog* p);
	~CAnchor(); 
	void resize();
	void setAnchor(UINT id, BOOL top, BOOL left, 
								BOOL bottom, BOOL right);
	SAnchorData* anchorByID(int idx);
	SAnchorData* anchorAdd(int idx);
};
//--------------------------------------------------------------